<?php
/**
 * @package Content - Related News
 * @version 3.3.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2012 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 *
 */
defined('_JEXEC') or die;

/* includes placehold*/
$yt_temp = JFactory::getApplication()->getTemplate();

ImageHelper::setDefault($_params);
if (count($items)){
    if ((int)$this->params->get('usecss', 1)){
        $css_url = JURI::root() . 'plugins/content/relatednews/assets/css/relatednews.css';
        $document = JFactory::getDocument();
        $document->addStyleSheet($css_url);
        JHtml::_('stylesheet', JUri::base()."plugins/content/relatednews/assets/owl.carousel/owl.carousel.css");
        JHtml::_('jquery.framework');
        JHtml::_('script', JUri::base()."plugins/content/relatednews/assets/owl.carousel/owl.carousel.min.js");
	}

    if ($this->params->get('title')){
        echo '<h3 class="related-title">';
        echo $this->params->get('title');
        echo '</h3>';
    }
    echo '<ul class="related-items">';
    foreach ($items as $id => $item) {
        if($item->id != $article_id){?>
            <li class="item-wrap">
            <?php
            if ((int)$this->params->get('item_image_display', 1)){ ?>
                <div class="item-image">
                    <a href="<?php echo $item->link; ?>">
                        <?php
                            $img = BaseHelper::getArticleImage($item, $_params);
                            //Create placeholder images
                            if (isset($img['src'])) $src = $img['src'];
                            if (file_exists($src )) {
                                echo BaseHelper::imageTag($img);
                            }
                        ?>
                    </a>
                </div>
            <?php }?>
                <div class="item-info">                    
                    <div class="item-title">
                        <?php 
                            if(strpos($item->title, "|")) {
                                $string = strstr($item->title, "|");
                                $title_after = str_replace("|", "", $string);
                                $title_before = str_replace($string, "", $item->title);
                                $full_title = '<a class="name-idoctor" href="'. $item->link .'" title="'. $item->title .'">'.$title_before.'</a> <span class="sub-job">'.$title_after.'</span>';
                            } else{
                                $full_title = '<a class="name-idoctor" href="'. $item->link .'" title="'. $item->title .'">'.$item->title.'</span>';
                            }  
                        ?>
                        <?php echo $full_title; ?>
                       
                    </div>
                    <div class="item-content">
                        <div class="item-readmore">
                            <a href="<?php echo $item->link; ?>">
                                <?php echo JText::_('Readmore'); ?>
                            </a>
                        </div>
                    </div>
                </div>
            </li>
    <?php
    }}
    echo '</ul>';
}

?>

   <script>// <![CDATA[
    jQuery(document).ready(function($) {
            $('.related-items').owlCarousel({
                pagination: false,
                center: false,
                nav: true,
                dots: false,
                loop: true,
                margin: 0,
                //rtl: true,
                slideBy: 1,
                autoplay: false,
                autoplayTimeout: 2500,
                autoplayHoverPause: true,
                autoplaySpeed: 800,
                startPosition: 0,
                navText: ["<i class='fa fa-long-arrow-left'></i>","<i class='fa fa-long-arrow-right'></i>"],
                responsive:{
                    0:{
                        items:1
                    },
                    480:{
                        items:2
                    },
                    768:{
                        items:3
                    },
                    1200:{
                        items:4,
                        nav:true,
                    }
                }
            });   
        });
    // ]]></script>